Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045930
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[New POS] POSmajoralways2021-02-20 11:502021-03-07 12:40
ReporterdmiguelezView Statuspublic 
Assigned Tohernan-dp 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045930: Schema information should be loaded only for the give Organization

DescriptionAs of now, the Schema information for an Organization is loaded taking into account its parents.

It should only load the Schemas defined for this Organization, not the ones defined in the Natural Tree.
Steps To ReproduceLog in in the New POS with VBS-2 Terminal and VallBlanca user.
It loads ok.

Go to the back office to Organization window.
Select * Organization and navigate to the Schema Tab.
Add a new record with Store Schema and the rest of the fields empty.

Try to log in again in the New POS, it fails.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126421)
hgbot (developer)
2021-03-01 11:51

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/269 [^]
(0126537)
hgbot (developer)
2021-03-07 11:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/269 [^]
(0126539)
guilleaer (manager)
2021-03-07 12:40

Fixed by hernan reviewed by david miguelez

- Issue History
Date Modified Username Field Change
2021-02-20 11:50 dmiguelez New Issue
2021-02-20 11:50 dmiguelez Assigned To => Retail
2021-02-20 11:50 dmiguelez Triggers an Emergency Pack => No
2021-02-28 18:34 guilleaer Status new => scheduled
2021-02-28 18:34 guilleaer Note Added: 0126388
2021-03-01 07:45 guilleaer Assigned To Retail => hernan-dp
2021-03-01 08:16 guilleaer Note Deleted: 0126388
2021-03-01 11:51 hgbot Note Added: 0126421
2021-03-07 11:57 hgbot Note Added: 0126537
2021-03-07 12:40 guilleaer Status scheduled => resolved
2021-03-07 12:40 guilleaer Resolution open => fixed
2021-03-07 12:40 guilleaer Review Assigned To => dmiguelez
2021-03-07 12:40 guilleaer Note Added: 0126539
2021-03-07 12:40 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker